﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using ff14bot.Managers;

namespace MedicineGuyPlugin
{
    public partial class Gui : Form
    {

        private static IEnumerable<string> MedicineList()
        {
            return InventoryManager.FilledSlots.InventoryItems()
            .MedicineItems()
            .Select(x => x.Item.EnglishName + "(HQ: " + x.Item.IsHighQuality.ToString() + ")");
        }

        public Gui()
        {
            InitializeComponent();

            var medicineitems = MedicineList().ToList();
            medicineitems.Insert(0, "None");
            comboBox1.DataSource = medicineitems;

            /*
            comboBox1.DataSource =
                InventoryManager.FilledSlots.InventoryItems()
                    .MedicineItems()
                    .Select(x => x.Item.EnglishName + "(HQ: " + x.Item.IsHighQuality.ToString() + ")").ToList();*/

            if (Settings.Instance.MedicineName != null && comboBox1.Items.Contains(Settings.Instance.MedicineName))
            {
                comboBox1.SelectedItem = Settings.Instance.MedicineName;
            }
            else
            {
                comboBox1.SelectedItem = "None";
                Settings.Instance.MedicineName = null;
                Settings.Instance.Save();
            }
            /*
            if (
                InventoryManager.FilledSlots.InventoryItems()
                    .MedicineItems()
                    .Select(x => x.Item.EnglishName)
                    .Contains(Settings.Instance.MedicineName))
            {
                comboBox1.SelectedText = Settings.Instance.MedicineName;
            }*/
        }

        private void comboBox1_SelectionChangeCommitted(object sender, EventArgs e)
        {
            Settings.Instance.MedicineName = comboBox1.SelectedValue.ToString();
            if (Settings.Instance.MedicineName == "None") { Settings.Instance.MedicineName = null; }
            Settings.Instance.Save();
        }

        private void comboBox1_DropDown(object sender, EventArgs e)
        {
            comboBox1.DataSource = null;
            var medicineitems = MedicineList().ToList();
            medicineitems.Insert(0, "None");
            comboBox1.DataSource = medicineitems;
        }
    }
}